### Constructor

# Gio UnixFDMessage new_with_fd_list

since: 2.24

#### Declaration

    GSocketControlMessage*
    g_unix_fd_message_new_with_fd_list (
      GUnixFDList* fd_list
    )

#### Description

Creates a new `GUnixFDMessage` containing `list`.

Available since: 2.24

#### Parameters

`fd_list`

  Type: `GUnixFDList`

  A `GUnixFDList`.

  The data is owned by the caller of the function.

#### Return value

Type: `GSocketControlMessage`

A new `GUnixFDMessage`.

The caller of the function takes ownership of the data, and is responsible for freeing it.